# Class CIM_DoorAccessToDevice
extends CIM_Dependency

Doors provide access to PhysicalElements for hot swap, repair and similar activities. In turn, PhysicalElements 'Realize' LogicalDevices. Since it may not be possible to define all the PhysicalElements that exist, and optimizing the retrieval of Devices 'behind' the Door may be desirable, the DoorAccessTo Device association provides a shortcut mechanism for defining the LogicalDevices ('hardware') accessed through a Door.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DoorAccessToDevice

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

Doors provide access to PhysicalElements for hot swap, repair and similar activities. In turn, PhysicalElements 'Realize' LogicalDevices. Since it may not be possible to define all the PhysicalElements that exist, and optimizing the retrieval of Devices 'behind' the Door may be desirable, the DoorAccessTo Device association provides a shortcut mechanism for defining the LogicalDevices ('hardware') accessed through a Door.

UMLPackagePath | string | CIM::Device::UserDevices
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DoorAccessToDevice | CIM_Door
Dependent | CIM_DoorAccessToDevice | CIM_LogicalDevice

## Class Methods